Subject: [Drip] Fw: New Version Notification for draft-wiethuechter-drip-registries-01.txt

From: Adam Wiethuechter <[email-masked]>
Date: Sat, 23 Oct 2021 06:37:32 +0000

All,

I have refreshed the drip-registries document following a long lapse in not working on it. This was mainly down to priorities getting in the way and not really having much an idea how to proceed with the document.

Now with an internal prototype working at AX and some progress being made with EPP there is finally some traction to be made.

Section 3 is stolen from -arch and has a slight wording tweak to it. We should ask ourselves where the master copy of this lives. It is now in 3 places; -arch, -uas-rid (which is an older version) and here.

Section 4 is effectively -auth-formats-02 Appendix B restructured slightly for clarity. A new Attestation Structure is defined which all the Attestations/Certificates follow. In -auth-formats-03 (which may go out tomorrow as I work through Bob's comments [already started]) this section is removed in favor of a reference where needed.

Section 5 layouts of the various registry classes and their purpose. I have taken a suggestion from Stu and given them some meaningful names.

Section 6 is all about the FQDNs and their formats. There is several Editor Notes in that section we will want to discuss.

Section 7 is a list of the RR's used and the justifications.

Section 8 is the ugly section that is a massive WIP. Its effectively Section 9, with a little bit of Appendix B.11 of -auth-formats-02.

Section 9 did not change terribly much from the previous version other than to update the references of the different Attestation/Certificate names.

Overall, the draft is a massive scratch pad of ideas, notes and what not of what we have learned standing up the prototype in house. We will need to sort through it and organize it. We may want to steal some text from -arch and expand upon it. Pictures will be super helpful here as well. This also needs to have its requirements clearly defined and where they are applied.

--------
73,
Adam T. Wiethuechter
Software Engineer; AX Enterprize, LLC
________________________________
From: [email-masked] <[email-masked]>
Sent: Saturday, October 23, 2021 2:22 AM
To: Adam Wiethuechter <[email-masked]>; Robert Moskowitz <[email-masked]>; Stuart Card <[email-masked]>
Subject: New Version Notification for draft-wiethuechter-drip-registries-01.txt

A new version of I-D, draft-wiethuechter-drip-registries-01.txt
has been successfully submitted by Adam Wiethuechter and posted to the
IETF repository.

Name:           draft-wiethuechter-drip-registries
Revision:       01
Title:          DRIP Registries
Document date:  2021-10-23
Group:          Individual Submission
Pages:          36
URL:            https://www.ietf.org/archive/id/draft-wiethuechter-drip-registries-01.txt
Status:         https://datatracker.ietf.org/doc/draft-wiethuechter-drip-registries/
Html:           https://www.ietf.org/archive/id/draft-wiethuechter-drip-registries-01.html
Htmlized:       https://datatracker.ietf.org/doc/html/draft-wiethuechter-drip-registries
Diff:           https://www.ietf.org/rfcdiff?url2=draft-wiethuechter-drip-registries-01

Abstract:
   TODO

The IETF Secretariat